#ifndef TRM_READER_INFO_H
#define TRM_READER_INFO_H
#include <unordered_map>
#include <memory>

struct reader_info{
    int m_reader_id;
    bool m_status;      //模拟状态，1表示需要模拟车卡，0表示不需要模拟
    time_t m_start_simulate_time;   //记录分站第一次模拟车卡的时间
};

typedef std::unordered_map<int,std::shared_ptr<reader_info>> SimulateReaderMap;

#endif
